RK-A2 - Task #3799

Remove the need for k12-support.txt except to check for supported-themes

02/27/2025 11:26 AM - Ram Kordale

Status: Review

Priority: High

Assignee: Dewakar Chaubey
Category:

Target version:

Start date: 02/27/2025
Due date:

% Done: 100%
Estimated time: 0.00 hour
Spent time: 0.00 hour

Description

If no line exists, assume that there are no supported themes.

Please do not calculate chapter num data from the chapter_list because we dont want to depend upon 'set_chapter_names_list' gcf

to change the number of chapters shown.

instead, when a question is added, update the number of chapters if necessary.

although we dont need to add questions for out of order chapters (such as adding questions for chapter 5 first, and then chapter 1
and then chapter 8), in order to reduce assumptions and checking code in the FE, please store the distinct chapter numbers in DS

and add a new chapter number to this list if needed.

History

#1 - 02/27/2025 01:43 PM - Ram Kordale

- Description updated

#2 - 02/28/2025 04:41 AM - Ram Kordale

- Description updated

#3 - 02/28/2025 12:57 PM - Shubham Boke
- Status changed from New to In Progress
- Assignee set to Shubham Boke

- % Done changed from 0 to 100

#4 - 02/28/2025 12:57 PM - Shubham Boke

- Status changed from In Progress to Resolved

#5 - 02/28/2025 12:58 PM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey
